function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map7",6,101);
    set_satelite_leaf("gallery");
    DoFile(6,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;

     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
  if sender==12 then
        if obj_id==9 then
        AddElement("gr",obj_id);
        SetAlfaSheet(2.5)
        setcolor(obj_id,0,0,0,0.5,1);
        MoveObjectToTree(obj_id);
        end;  
      if obj_id==16 then
      AddElement("gr",16);
      StopEmiter("Svet3");
      setcolor(16,0,0,0,0.5,1);
      MoveObjectToTree(16);
         end;  
    if flags.all then
    if flags.minicomplete28 then
    flags.all= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return; end;    
    return;end;
 
  return;end;
  if sender==26 then
    if obj_id==60 then
        flags.levelcomplete=true;
        DarkScreen(true);
        ShowMenu(false)
    return; end;
  return; end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
savegame(SaveLevel());
    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;  
      RemoveFromMouse(attachedID);  
      CreateWindow(150,250,"201",nil,nil,250,30);
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
      --CreateWindow(150,250,"224");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if obj_id==501 then
        if flags.levelcomplete then
          delete_tree_leaf("Root","gallery");-- Добавляет лист в дерево 
          setnextlavel(7);
          loadlavel();    
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;  
    if flags.secretary then
      if obj_id == 9 then
      if attachedID==-1 then 
        collaps_obj(obj_id,0,0,10,0);
        playeffect("20");

      return; end;  
      return; end;
      if obj_id==17 then --блокнот
      if not flags.minicomplete28 then 
        if  attachedID<=-1 then 
          CreateWindow(150,250,"202",nil,nil,250,30);
        return; end; 
          if  (attachedID~=16) and (attachedID>-1) then 
        RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30);
        return; end;        
        if  attachedID==16 then
          playeffect("29");
        RemoveFromMouse(attachedID);  
        add_free_leaf("Root","mini28",0,38);-- Добавляет чистый лист
        set_satelite_leaf("gallery");
        DoFile(0,38)
        mini_create();
        flags.nohints=true;
        return; end;
      return; end;
      return; end;

      if obj_id==703 then --молберт
      if not flags.minicomplete13 then 
        if  attachedID<=-1 then 
          CreateWindow(150,250,"202",nil,nil,250,30);
        return; end; 
          if  (attachedID~=9) and (attachedID>-1) then 
        RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30);
        return; end;
         if  attachedID==9 then
           playeffect("29");
        --setcurentleaf("mini",0,1);
        RemoveFromMouse(attachedID);  
        add_free_leaf("Root","mini13",0,23);-- Добавляет чистый лист
        set_satelite_leaf("gallery");
        DoFile(0,23)
        mini_create();
        flags.nohints=true;
        return; end;
      return; end;      
      return; end;
      
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
    return; end;
        

    if (obj_id==53) and (attachedID==113) then
    playeffect("06");
  --    ("Квитанция передана");
       RemoveFromMouse(attachedID);
       SetAlfaSheet(2.0)
       DeleteElement("gr",attachedID);      
      flags.secretary=true;
      AddParticleToObject(703,"Svet3",800,520);
      MoveEmiter("Svet3",800,520);
      if not flags.minicomplete13 then
      StartEmiter("Svet3"); 
      end;
      AddParticleToObject(17,"blok",120,467);
      MoveEmiter("blok",120,467);
      if not flags.minicomplete28 then
      StartEmiter("blok"); 
      end;
      Set_Cursor(703,4);
      Set_Cursor(53,3);
      Set_Cursor(17,4);
      speciale_action(2,53);
      CreateWindow(150,250,"204",55,"sekr",250,30);
    return;end;
      RemoveFromMouse(attachedID);
    CreateWindow(150,250,"201",nil,nil,250,30);  
  return; end;
  
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
  -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev.6.0".." "..sender.."\n")
  flags.all=true;
  
  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if flags.secretary then 
    if not flags.minicomplete13 and idObject==16 then
      selectrandomobject(1.5,703);
    return; end;
    if not flags.minicomplete28 and flags.all then
      selectrandomobject(1.5,17);
    return; end;
  selectrandomobject(1.5,idObject);
  end;
  selectrandomobject(1.5,53);
end;
function SelectRandomRadar(idObject)

      if idObject==16 then
      selectrandomobject(1.5,703);
  return;end;

  selectrandomobject(1.5,idObject);
end;
